/*
 * Settings.h
 *
 *  Created on: Apr 19, 2014
 *      Author: alex
 */

#ifndef SETTINGS_H_
#define SETTINGS_H_



class Settings
{

public:
	static Settings& get_instance()
	{
		static Settings instance;
		return instance;
	}
	std::string docroot;
	int port;
	bool only_localhost;


private:
	Settings() : port(0), only_localhost(true)
	{
	}
	Settings(Settings const&);
	void operator=(Settings const&);



};


#endif /* SETTINGS_H_ */
